diff --git a/misc/post-pve-install.sh b/misc/post-pve-install.sh
index ea166360..09e89908 100644
--- a/misc/post-pve-install.sh
+++ b/misc/post-pve-install.sh
@@ -231,7 +231,7 @@ while true; do
   esac
 done
 
-if ! pveversion | grep -Eq "pve-manager/(8.1.[1-9])"; then
+if ! pveversion | grep -Eq "pve-manager/8\.[0-2]+\.[0-9]+"; then
   msg_error "This version of Proxmox Virtual Environment is not supported"
   echo -e "Requires Proxmox Virtual Environment Version 8.1.1 or later."
   echo -e "Exiting..."